QGIS Application - Bug report #8360
odbc import fails if table name contain encodecharacters
2013-07-25 04:43 AM - Regis Haubourg

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17140
Description

Reading MS access datasources via ODBC, table that contain special encoded characters are not imported, and raise a error message
"invalid datasource".

When dealing with encoding options, field names and content with encoded characters can be correcly imported. Tlt looks like encoding
options are not used for table name.

Tested with mdb and accdb databases. ODBC DSN created on windows 7 64 bits, using mdb-accdb odbc drivers 14.00.6015.1000 and
mdb 6.01.7601.17632.

see attached small databases for test purposes.

History

#1 - 2014-06-23 07:19 AM - Regis Haubourg

- Target version changed from Future Release - High Priority to Future Release - Nice to have
#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-25 11:09 AM - Regis Haubourg

- Status changed from Open to Feedback

- Priority changed from Normal to Low

- Description updated

#4 - 2018-02-25 05:17 PM - Giovanni Manghi

Hi Regis, why feedback, it needs to be tested on QGIS 3?

#5 - 2018-02-25 06:31 PM - Regis Haubourg

exactly!

#6 - 2018-10-23 11:39 AM - Regis Haubourg
- Status changed from Feedback to Closed

Closing, it's a too old issue.
Files

qgistest_access_db_encoded_odbc_tablename.zip 58.8 KB 2013-07-25 Regis Haubourg
